javax.batch.runtime

## Interface JobInstance

    public interface JobInstance

Provides a view of a job instance to the JobOperator.

### Method Summary

Methods
`long` `getInstanceId()` Get unique id for this JobInstance.
`String` `getJobName()` Get job name.

### Method Detail

#### getInstanceId

    long getInstanceId()

Get unique id for this JobInstance.

Returns:
  instance id

#### getJobName

    String getJobName()

Get job name.

Returns:
  value of 'id' attribute from <job>

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0